Page MenuHomePhabricator

csharp: Add since documentation to struct and struct fields
ClosedPublic

Authored by lauromoura on Oct 12 2019, 3:53 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
felipealmeida created this revision.Oct 12 2019, 3:53 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

felipealmeida requested review of this revision.Oct 12 2019, 3:53 PM
lauromoura commandeered this revision.Oct 13 2019, 8:49 PM
lauromoura added a reviewer: felipealmeida.
lauromoura updated this revision to Diff 26085.Oct 13 2019, 8:51 PM

Fix formatting (Since inside <summary> tag) and removed the since from the
struct field parameter in constructor.

C#'s way to add a new parameter is to add an entirely new overload, which would have its own documentation.

felipealmeida accepted this revision.Oct 15 2019, 12:03 PM
This revision is now accepted and ready to land.Oct 15 2019, 12:03 PM
This revision was automatically updated to reflect the committed changes.